# Top-up events

Top-up events

Endpoint: POST Top-up events
Version: 1.96.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "TOPUP.CONFIRMED", "TOPUP.SETTLED", "TOPUP.CANCELLED"

  - `object` (object, required)

  - `object.id` (string, required)
    Top up request unique identifier.

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.account_group_id` (string, required)
    Account group unique identifier.

  - `object.cash_amount` (string, required)

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.settlement_reference` (string)
    Settlement reference to be included in the corresponding bank transfer to settle this top up.

  - `object.status` (string)
    Status of the top up
* CONFIRMED - The top up is created and confirmed.
* SETTLED - The top up is settled.
* CANCELLED - The top up is cancelled
    Enum: "CONFIRMED", "SETTLED", "CANCELLED"

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
